View Issue Details

IDProjectCategoryView StatusLast Update
0000738Apache 2.x Bugpublic2021-08-23 01:11
ReporterSteven LevineAssigned ToSteven Levine 
PrioritynormalSeveritymajorReproducibilityalways
Status assignedResolutionopen 
PlatformOS2/eCSOSOS/2 or eComstationOS Version1.x 2.x or 4.5
Product Version2.4.x 
Target VersionFixed in Version 
Summary0000738: Accessing large files via wget or a browser results in a truncated file.
DescriptionThis occurs for httpd 2.4.48 ( httpd-2.4.48-os2-20210619-debug.zip), but there's not yet any reason to believe it does not occur for earlier builds.

GET requests for files smaller than some as yet unknown limit succeed without errors. GET requests for larger files end early for example, idebug-small-20200707.zip is 3.4MB.

  wget http://www.warpcave.com/betas/idebug-small-20200707.zip

gets into a retry loop because it detects that the entire file has not been received and requests more of the file. Firefox 45.9 reports no errors, but only receives the first 40,490 or so of the file.

The logs show that only a portion of the file has been sent.

74.101.171.114 - - [13/Jul/2021:15:02:11 +0000] www.warpcave.com "GET /betas/idebug-small-20200707.zip HTTP/1.1" 200 40490 "http://www.warpcave.com/betas/" "Mozilla/5.0 (OS/2; Warp 4.5; rv:38.0) Gecko/20100101 Firefox/38.0 SeaMonkey/2.35"
TagsNo tags attached.

Activities

LewisR

2021-07-19 04:45

developer   ~0003826

In case it's of any help in correlating log files, this is a wget attempt (no proxy) which ultimately succeeded (local time is -0400 EDT):

--2021-07-18 15:06:12-- http://www.warpcave.com/betas/TestDosGetDateTimeTzSetAndRuntime-20210718.zip
Resolving www.warpcave.com (www.warpcave.com)... 64.60.60.121
Connecting to www.warpcave.com (www.warpcave.com)|64.60.60.121|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 74865 (73K) [application/zip]
Saving to: 'TestDosGetDateTimeTzSetAndRuntime-20210718.zip'

TestDosGetDateTimeT 48%[========> ] 35.67K 31.5KB/s in 1.1s

2021-07-18 15:06:13 (31.5 KB/s) - Connection closed at byte 36527. Retrying.

--2021-07-18 15:06:14-- (try: 2) http://www.warpcave.com/betas/TestDosGetDateTimeTzSetAndRuntime-20210718.zip
Connecting to www.warpcave.com (www.warpcave.com)|64.60.60.121|:80... connected.
HTTP request sent, awaiting response... 206 Partial Content
Length: 74865 (73K), 38338 (37K) remaining [application/zip]
Saving to: 'TestDosGetDateTimeTzSetAndRuntime-20210718.zip'

TestDosGetDateTimeT 97%[+++++++++=========> ] 71.29K 29.2KB/s in 1.2s

2021-07-18 15:06:15 (29.2 KB/s) - Connection closed at byte 73001. Retrying.

--2021-07-18 15:06:17-- (try: 3) http://www.warpcave.com/betas/TestDosGetDateTimeTzSetAndRuntime-20210718.zip
Connecting to www.warpcave.com (www.warpcave.com)|64.60.60.121|:80... connected.
HTTP request sent, awaiting response... 206 Partial Content
Length: 74865 (73K), 1864 (1.8K) remaining [application/zip]
Saving to: 'TestDosGetDateTimeTzSetAndRuntime-20210718.zip'

TestDosGetDateTimeT 100%[+++++++++++++++++++>] 73.11K --.-KB/s in 0s

2021-07-18 15:06:18 (36.4 KB/s) - 'TestDosGetDateTimeTzSetAndRuntime-20210718.zip' saved [74865/74865]

I'll compare the above to Hawking's wget pull for the FTP mirror to see if the chunk sizes are the same (the update pass is not scheduled for another 11 hours or so).

Steven Levine

2021-08-23 01:11

manager   ~0003888

This issue is mostly resolved with the current libcx from netlabs-exp. However, some wget requests still restart intermittently, so we are not yet ready to say the issue is resolved.

Issue History

Date Modified Username Field Change
2021-07-15 14:03 Steven Levine New Issue
2021-07-15 14:03 Steven Levine Status new => assigned
2021-07-15 14:03 Steven Levine Assigned To => Steven Levine
2021-07-15 14:08 Steven Levine Issue cloned: 0000739
2021-07-19 04:45 LewisR Note Added: 0003826
2021-08-23 01:11 Steven Levine Note Added: 0003888